Lấy danh sách giao dịch mua/bán chứng khoán của một cá nhân
curl --request GET \
--url https://api.fireant.vn/individuals/{individualId}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/individuals/{individualId}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/individuals/{individualId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/individuals/{individualId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/individuals/{individualId}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/individuals/{individualId}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/individuals/{individualId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionID": 123,
"majorHolderID": 123,
"individualHolderID": 123,
"institutionHolderID": 123,
"institutionHolderSymbol": "<string>",
"institutionHolderExchange": "<string>",
"name": "<string>",
"position": "<string>",
"symbol": "<string>",
"type": 0,
"executionVolume": 123,
"executionDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"registeredVolume": 123
}
]Individuals
Lấy danh sách giao dịch mua/bán chứng khoán của một cá nhân
GET
/
individuals
/
{individualId}
/
transactions
Lấy danh sách giao dịch mua/bán chứng khoán của một cá nhân
curl --request GET \
--url https://api.fireant.vn/individuals/{individualId}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/individuals/{individualId}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/individuals/{individualId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/individuals/{individualId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/individuals/{individualId}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/individuals/{individualId}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/individuals/{individualId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionID": 123,
"majorHolderID": 123,
"individualHolderID": 123,
"institutionHolderID": 123,
"institutionHolderSymbol": "<string>",
"institutionHolderExchange": "<string>",
"name": "<string>",
"position": "<string>",
"symbol": "<string>",
"type": 0,
"executionVolume": 123,
"executionDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"registeredVolume": 123
}
]Ủy quyền
OAuth2 Implicit Grant
Scopes
individuals-read
Đọc thông tin cá nhân
Tham số đường dẫn
ID của cá nhân
Tham số truy vấn
Chỉ lấy giao dịch đã thưc hiện
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
ID của giao dịch
ID của cổ đông lớn
ID của cổ đông lớn (cá nhân)
ID của cổ đông lớn (tổ chức)
Mã chứng khoán của tổ chức (nếu là cổ đông tổ chức)
Sàn niêm yết của tổ chức (nếu là cổ đông tổ chức)
Tên của cổ đông lớn
Vị trí của cổ đông lớn
Mã chứng khoán của tổ chức
Loại giao dịch (Purchased = Mua, Sold = Bán, StockRightPurchased = Mua quyền mua, StockRightSold = Bán quyền mua)
Tùy chọn có sẵn:
0, 1, 2, 3 Khối lượng giao dịch
Ngày thực thi
Ngày bắt đầu
Ngày kết thúc
Khối lượng đăng ký giao dịch